Package de.willuhn.jameica.hbci.rmi

# Interface SammelLastschrift

All Superinterfaces:
  `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.GenericObject`, `HibiscusDBObject`, `Remote`, `SammelTransfer`, `Terminable`, `de.willuhn.datasource.rmi.Transactionable`

All Known Implementing Classes:
  `SammelLastschriftImpl`

public interface SammelLastschrift extends SammelTransfer
Interface fuer Sammellastschriften.

## Method Summary

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SammelTransfer

`createBuchung, getBezeichnung, getBuchungen, getBuchungenAsArray, getKonto, getSumme, hasWarnings, setBezeichnung, setKonto, setWarning`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Terminable

`ausgefuehrt, getAusfuehrungsdatum, getTermin, setAusgefuehrt, setTermin, ueberfaellig`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`